using System;
using System.Text;
using System.Data;
using System.Text.RegularExpressions;
using BlogEngine.Core;
using BlogEngine.Core.Web.Controls;
using System.Web;

/// <summary>
/// Summary description for retweet
/// </summary>
/// 
[Extension("Inserts retweet button at the end of the content posts or pages", "", "")]
public class retweet
{
	
    private static string _Html;
    private static string twitterUser = "geekiestnet"; // Your twitter user name will be used in the retweet
	private static string count = "horizondal"; // horizondal, vertical or none

    /// <summary>
    /// Gets the HTML used to inserts the retweet button code.
    /// </summary>
    public static string Html
    {
        get
        {
            if (_Html == null)
            {
				StringBuilder sb = new StringBuilder();
                sb.Append(getstr());
                _Html = sb.ToString();
            }
            return _Html;
        }
    }

    public retweet()
	{
		Post.Serving += new EventHandler<ServingEventArgs>(Serving);
        Page.Serving += new EventHandler<ServingEventArgs>(Serving);
	}
	/// <summary>
	/// Serving retweet button code  in post and page
	/// </summary>
	private static void Serving(object sender, ServingEventArgs e)
	{
		if ((e.Location == ServingLocation.SinglePost))
        {
            string _adScript = Html;
            Post post = (Post)sender;
            e.Body += _adScript;
            
        }
        if (e.Location == ServingLocation.SinglePage)
        {
            string _adScript = Html;
            Page page = (Page)sender;
            e.Body += _adScript;
        }
	}
    private static string getstr()
    {
        string strr="<br><p><a href=\"http://twitter.com/share\" class=\"twitter-share-button\" data-count=\"#Count#\" data-via=\"###un###\">Tweet</a><script type=\"text/javascript\" src=\"http://platform.twitter.com/widgets.js\"></script></p>";
		strr=strr.Replace("###un###",twitterUser);
		strr=strr.Replace("#Count#",count);
        return (strr);
    }
}
